Package org.apache.sysds.runtime.compress.estim.sample

# Enum Class SampleEstimatorFactory.EstimationType

java.lang.Object
java.lang.Enum<SampleEstimatorFactory.EstimationType>
org.apache.sysds.runtime.compress.estim.sample.SampleEstimatorFactory.EstimationType

All Implemented Interfaces:
  `Serializable`, `Comparable<SampleEstimatorFactory.EstimationType>`, `Constable`

Enclosing interface:
  SampleEstimatorFactory

public static enum SampleEstimatorFactory.EstimationType extends Enum<SampleEstimatorFactory.EstimationType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HassAndStokes`
`HassAndStokesNoSolveCache`
`ShlosserEstimator`
`ShlosserJackknifeEstimator`
`SmoothedJackknifeEstimator`

## Method Summary

Modifier and Type
Method
Description
`static SampleEstimatorFactory.EstimationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SampleEstimatorFactory.EstimationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HassAndStokes

public static final SampleEstimatorFactory.EstimationType HassAndStokes

### ShlosserEstimator

public static final SampleEstimatorFactory.EstimationType ShlosserEstimator

### ShlosserJackknifeEstimator

public static final SampleEstimatorFactory.EstimationType ShlosserJackknifeEstimator

### SmoothedJackknifeEstimator

public static final SampleEstimatorFactory.EstimationType SmoothedJackknifeEstimator

### HassAndStokesNoSolveCache

public static final SampleEstimatorFactory.EstimationType HassAndStokesNoSolveCache

## Method Details

### values

public static SampleEstimatorFactory.EstimationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SampleEstimatorFactory.EstimationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null